<?php

$WP_Analytify_WooCommerce = new Analytify_General();
$WP_Analytify = new WP_Analytify();

$start_date_val =   strtotime("- 30 days"); 
$end_date_val   =   strtotime("now");
$start_date     =   date( "Y-m-d", $start_date_val );
$end_date       =   date( "Y-m-d", $end_date_val );

if( isset( $_POST["view_data"] ) ) {

  $s_wocommerce_date  = $_POST["st_wocommerce_date"];
  $e_wocommerce_date  = $_POST["ed_wocommerce_date"];

}

if( isset( $s_wocommerce_date ) ) {
  $start_date = $s_wocommerce_date;
}

if( isset( $e_wocommerce_date ) ) {
  $end_date = $e_wocommerce_date;
}

?>
<div class="wrap">
  <h2 class='opt-title'><span id='icon-options-general' class='analytics-options'><img src="<?php echo plugins_url('wp-analytify-pro/images/wp-analytics-logo.png');?>" alt=""></span>
	<?php esc_html_e( 'Analytify For Woocommerce Dashboard', 'wp-analytify-woocommerce' ); ?>
  </h2>


	<?php
	
	if( WP_ANALYTIFY_FUNCTIONS::wpa_check_profile_selection('WooCommerce') ) return;

	/*
	 * Check with roles assigned at dashboard settings.
  	 */
	$is_access_level = get_option( 'access_role_dashboard' );

	if( $WP_Analytify->pa_check_roles( $is_access_level ) ) {

		$acces_token  = get_option( "post_analytics_token" );
		if( $acces_token ) {

			$famous = '';
		?>
			<div id="col-container">
				<div class="metabox-holder">
				  <div class="postbox" style="width:100%;">
					  <div id="main-sortables" class="meta-box-sortables ui-sortable">
						<div class="postbox ">
						  <div class="handlediv" title="Click to toggle"><br />
						  </div>
						  <h3 class="hndle">
							<span>
								<?php 
								echo sprintf( esc_html__( 'Complete Statistics of the Site %1$s Starting From %2$s to %3$s', 'wp-analytify-woocommerce' ), get_option("pt_webprofile_url"), date("jS F, Y", strtotime($start_date)), date("jS F, Y", strtotime($end_date)) );
								?>
							</span>
						  </h3>
						  <div class="inside">
							<div class="pa-filter">
							  <form action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>" method="post">
								<input type="text" id="st_wocommerce_date" name="st_wocommerce_date">
								<input type="text" id="ed_wocommerce_date" name="ed_wocommerce_date">
								<input type="submit" id="view_data" name="view_data" value="View Stats" class="button-primary btn-green">
							  </form>
							</div>
							<?php 
								$stats = $WP_Analytify_WooCommerce->pa_get_analytics( 'ga:transactions,ga:transactionRevenue,ga:revenuePerTransaction,ga:uniquePurchases,ga:transactionsPerSession,ga:productAddsToCart,ga:productRemovesFromCart,ga:productCheckouts,ga:productListClicks,ga:productDetailViews', $start_date, $end_date);
								  if ( isset( $stats->totalsForAllResults ) ) {
									include WC_ANALYTIFY_PLUGIN_DIR . '/views/shopping-analysis.php'; 
									pa_include_wocommerce( $WP_Analytify_WooCommerce, $stats );
								  }
							?>
							<?php
								$stats = $WP_Analytify_WooCommerce->pa_get_analytics( 'ga:itemRevenue,ga:uniquePurchases,ga:itemQuantity,ga:cartToDetailRate,ga:buyToDetailRate', $start_date, $end_date,'ga:productName','-ga:itemQuantity');

								if ( isset( $stats->totalsForAllResults ) ) {
									include WC_ANALYTIFY_PLUGIN_DIR . '/views/products-performance.php'; 
									pa_include_wocommerce_products( $WP_Analytify_WooCommerce, $stats );
								}
							?>
							<?php
							
								$stats = $WP_Analytify_WooCommerce->pa_get_analytics( 'ga:productListViews,ga:productListClicks,ga:productListCTR,ga:productAddsToCart,ga:productCheckouts,ga:uniquePurchases,ga:itemRevenue', $start_date, $end_date,'ga:productListName','-ga:itemRevenue');
								if ( isset( $stats->totalsForAllResults ) ) {
									include WC_ANALYTIFY_PLUGIN_DIR . '/views/lists-performance.php'; 
									pa_include_wocommerce_lists_performance( $WP_Analytify_WooCommerce, $stats );
								  }
							?>
							<?php
							
								$stats = $WP_Analytify_WooCommerce->pa_get_analytics( 'ga:itemRevenue,ga:uniquePurchases,ga:itemQuantity,ga:cartToDetailRate,ga:buyToDetailRate', $start_date, $end_date,'ga:productCategoryHierarchy','-ga:itemQuantity');
								if ( isset( $stats->totalsForAllResults ) ) {
									include WC_ANALYTIFY_PLUGIN_DIR . '/views/categories-performance.php'; 
									pa_include_wocommerce_categories_performance( $WP_Analytify_WooCommerce, $stats );
								  }
							?>
						  </div>
					  </div>
					</div>
				  </div>
				</div>
			</div>
		
		<?php
	  	} 
	  	else{
			esc_html_e( 'You must be logged in to see the Analytics Dashboard.', 'wp-analytify-woocommerce' );
		}

	}else{

		esc_html_e( 'You don\'t have access to WooCommerce Dashboard.', 'wp-analytify-woocommerce' );
	}
  ?>
</div>
<script type="text/javascript">

jQuery(document).ready(function ($) {

  $("#st_wocommerce_date").datepicker({
			dateFormat : 'yy-mm-dd',
			changeMonth : true,
			changeYear : true,
			beforeShow: function() {
							$('#ui-datepicker-div').addClass('mycalander');
						},
			yearRange: '-9y:c+nn'       
		}).datepicker( 'setDate' , "<?php echo $start_date ?>" );

  $("#ed_wocommerce_date").datepicker({
			dateFormat : 'yy-mm-dd',
			changeMonth : true,
			changeYear : true,
			beforeShow: function() {
							$('#ui-datepicker-div').addClass('mycalander');
						},
			yearRange: '-9y:c+nn'
		}).datepicker( 'setDate' , "<?php echo $end_date ?>" );
});
</script>