<?php 
// View of General Statistics

function pa_include_wocommerce_categories_performance( $current, $stats ) {

    if( isset($stats['rows']) && isset($stats['rows'][0][0]) )
        $famous = $stats['rows'][0][0];

?>
<div class="data_boxes">
  <div class="data_boxes_title">
      <?php esc_html_e( 'Product Categories Analysis', 'wp-analytify-woocommerce' ); ?> 
      <div class="arrow_btn"></div>
  </div>
  <div class="data_container">
    <table class="pa-pg Real_Time_Statistics_table">
            <tbody>
                <tr>
                    <th class="wd_1">
                        #
                    </th>
                    <th>
                        <?php esc_html_e( 'Name',                'wp-analytify-woocommerce' ); ?>
                    </th>
                    <th>
                        <?php esc_html_e( 'Product Revenue',     'wp-analytify-woocommerce' ); ?>
                    </th>
                    <th class="">
                        <?php esc_html_e( 'Unique Purchases',    'wp-analytify-woocommerce' ); ?>
                    </th>
                    <th class="">
                        <?php esc_html_e( 'Quantity',            'wp-analytify-woocommerce' ); ?>
                    </th>
                    <th class="">
                        <?php esc_html_e( 'Cart-to-Detail Rate', 'wp-analytify-woocommerce' ); ?>
                    </th>
                    <th class="">
                        <?php esc_html_e( 'Buy-to-Detail Rate',  'wp-analytify-woocommerce' ); ?>
                    </th>
                </tr>
                
                <?php if (! empty( $stats["rows"]) ) 
                {
                    $i=0;
                    foreach ($stats["rows"] as $stat) {
                        $i++;
                        ?>
                        <tr>
                            <td>
                               <?php echo $i; ?>
                            </td>
                            <td>
                               <?php echo $stat[0]; ?>
                            </td>
                            <td>
                               <?php echo get_woocommerce_currency_symbol() . $stat[1]; ?>
                            </td>
                            <td>
                               <?php echo $stat[2]; ?>
                            </td>
                            <td>
                               <?php echo $stat[3]; ?>
                            </td>
                            <td>
                               <?php $percent_quantity = number_format( $stat[4], 2 );?>
                                <div style="width:<?php echo $percent_quantity ?>%;background:#F9845B">&nbsp; </div>
                                <?php echo $percent_quantity; ?> %
                            </td>
                            <td>
                               <?php $percent_quantity = number_format( $stat[5], 2 );?>
                                <div style="width:<?php echo $percent_quantity ?>%;background:#F9845B">&nbsp; </div>
                                <?php echo $percent_quantity; ?> %
                            </td>
                        </tr>
                    <?php 
                    } 
                }    
                ?>
            </tbody>
    </table>
     <br />
    </div>
            <div class="data_boxes_footer">
                
                <?php if( isset( $stat[0] ) ) : ?>
                    <span class="blk"> 
                        <span class="dot"></span> 
                        <span class="line"></span> 
                    </span>
                    <span class="information-txt">
                    <?php
                        echo sprintf( esc_html__( 'Did you know the famous Product Category in your store is %1$s %2$s %3$s', 'wp-analytify-woocommerce' ), '<strong>' , $famous , '</strong>' );
                    ?>
                    </span>
                <?php endif; ?>

            </div>
    </div>
<?php } ?>