<?php 
// View of General Statistics

function pa_include_wocommerce( $current, $stats ) {
    //print_r($stats);
    ?>

    <div class="data_boxes">
      <div class="data_boxes_title">
          <?php esc_html_e( 'General Shopping Analysis of your Ecommerce Store', 'wp-analytify-woocommerce' ); ?>
          <div class="arrow_btn"></div>
      </div>
      <div class="data_container">
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Transactions', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo number_format($stats->totalsForAllResults['ga:transactions']); ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'Transactions is the total number of completed purchases on your site.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Transaction Revenues', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo get_woocommerce_currency_symbol() . number_format( $stats->totalsForAllResults['ga:transactionRevenue'], 2 ); ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'The total sale revenue provided in the transaction including or excluding shipping and tax.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Average Order Value', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo get_woocommerce_currency_symbol() . number_format( $stats->totalsForAllResults['ga:revenuePerTransaction'], 2 ); ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'Average Value of transactions.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Product Adds To Cart', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo $stats->totalsForAllResults['ga:productAddsToCart']; ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'The total number of items Added in cart whether it is purchased or not.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Product Removes From Cart', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo $stats->totalsForAllResults['ga:productRemovesFromCart']; ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'The total number of items Removed from cart whether it is purchased or not.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'TransaProduct Checkoutsctions', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo $stats->totalsForAllResults['ga:productCheckouts']; ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'The total number of checkouts.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Unique Purchases', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo $stats->totalsForAllResults['ga:uniquePurchases']; ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'The total number of items purchased. For example, if users purchase 2 frisbees and 5 tennis balls, 2 unique products have been purchased.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Product Clicks', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value"><?php echo $stats->totalsForAllResults['ga:productListClicks']; ?></div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'The total number of user Clicks on your item.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
        <div class="grids_auto_size">
            <div class="grid_title">
                <?php esc_html_e( 'Product Detail Views', 'wp-analytify-woocommerce' ); ?>
            </div>
            <div class="grid_data cen">
                <div class="data_value">
                    <?php echo $stats->totalsForAllResults['ga:productDetailViews']; ?>
                </div>
            </div>
            <div class="grid_footer cen">
                <?php esc_html_e( 'The percentage of visits that resulted in an e-commerce transation.', 'wp-analytify-woocommerce' ); ?>
            </div>
        </div>
    </div>
    <div class="data_boxes_footer">
        <span class="blk"> 
            <span class="dot"></span> 
            <span class="line"></span> 
        </span> 
        <span class="information-txt">
          <?php 
          echo sprintf( esc_html__( 'Did you know that Ecommerce Conversion Rate on your site is %1$s', 'wp-analytify-woocommerce' ), number_format( $stats->totalsForAllResults['ga:transactionsPerSession'], 2) ) . '%'; ?>
      </span>
  </div>
</div>
<?php } ?>